> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tasks

> Get tasks



## OpenAPI

````yaml /schema.json get /tasks
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /tasks:
    get:
      tags:
        - Tasks
      description: Get tasks
      operationId: getTasks
      parameters:
        - name: filter
          in: query
          description: Apply search criteria.
          required: false
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A list of tasks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskListResult'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TaskListResult:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          $ref: '#/components/schemas/TaskList'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    TaskList:
      type: array
      items:
        $ref: '#/components/schemas/Task'
    Task:
      type: object
      properties:
        identifier:
          type: string
          title: Identifier
          description: Task identifier
        entityType:
          type: string
          title: Entity schema
          description: Entity schema identifier
        entityData:
          type: object
          title: Task entity data
          description: Only available when the field has been enabled in the filter
        entityIdentifier:
          type: string
          title: Entity identifier
          description: Entity identifier
        status:
          $ref: '#/components/schemas/TaskStatus'
        route:
          type: string
          title: Route
          description: Route identifier
        createdAt:
          type: string
          title: Created at
          format: date-time
          description: Creation date
        updatedAt:
          type: string
          title: Updated at
          format: date-time
          description: Update date
    TaskStatus:
      type: string
      title: Status
      enum:
        - new
        - processing
        - finished
        - failed
        - resolved
        - skipped
        - retry
        - waiting
        - killed
      enumNames:
        - New
        - Processing
        - Finished
        - Failed
        - Resolved
        - Skipped
        - Retry
        - Waiting
        - Killed

````